# List trip bookings Lists the bookings within a trip. Endpoint: GET /v1/trips/{trip_id}/bookings Version: 1.0 Security: OAuth2 ## Query parameters: - `cursor` (string,null) - `limit` (integer,null) ## Path parameters: - `trip_id` (string, required) ## Response 200 fields (application/json): - `next_cursor` (string,null) - `items` (array, required) - `items.id` (string, required) The ID of the booking. Example: "booking_cl9t5dnu800040m3071dandeq" - `items.created_at` (string, required) The time when the booking was created. Example: "2017-12-27T15:42:30Z" - `items.updated_at` (string, required) The time when the booking was last updated. Example: "2017-12-27T15:42:30Z" - `items.trip_id` (string, required) The ID of the trip to which this booking belongs. Example: "trip_cl9rh1n8g001e0j84w6fb4fd1" - `items.version` (integer, required) The current version of the booking. Example: 2 - `items.type` (string, required) The type of a booking. Enum: "AIR", "CAR_RENTAL", "LODGING", "RAIL" - `items.status` (string, required) The status of the booking: * HOLD - The booking is a hold, and may be canceled without being charged. * PENDING - Some action needs to be completed before the booking is confirmed. Usually the action is the payment being confirmed. * CONFIRMED - The booking is confirmed. * COMPLETED - The booking has already happened. * CANCELED - The booking has been canceled. * IN_PROGRESS - The booking is currently in progress. * REFUNDED - A refund has been issued. It may or may not be a full refund. * VOIDED - Voided is similar to (and can be treated the same as) canceled. * PROCESSING - The booking has been created or changed, but confirmation from the vendor has not been received yet. * UNCONFIRMED - The booking was in the PROCESSING state for too long and some action is probably required to get this booking confirmed. * AIRLINE_CONTROL - The airline has taken control of the booking and further updates may not be visible. * PAYMENT_DECLINED - The payment for the booking has failed. * SCHEDULE_CHANGE - Some change has happened to the booking schedule, e.g. the flight getting canceled and the passenger reallocated to another flight. Travel support should reach out to confirm the traveler accepts the new schedule. * APPROVAL_REQUESTED - The booking is subject to approval, and it is waiting for a review. * APPROVAL_DENIED - A reviewer has denied the booking, or the deadline to approve the booking has passed and it got canceled. * CANCELLATION_IN_PROGRESS - The booking is currently being canceled. Enum: "HOLD", "PENDING", "CONFIRMED", "COMPLETED", "CANCELED", "IN_PROGRESS", "REFUNDED", "VOIDED", "PROCESSING", "UNCONFIRMED", "AIRLINE_CONTROL", "PAYMENT_DECLINED", "SCHEDULE_CHANGE", "APPROVAL_REQUESTED", "APPROVAL_DENIED", "CANCELLATION_IN_PROGRESS" - `items.source` (string, required) The original source of a booking: * BREX_TRAVEL - The booking was created via Brex Travel. * EXTERNAL - The booking was manually inserted, e.g. a hotel room block for a group event. Enum: "BREX_TRAVEL", "EXTERNAL" - `items.booking_data` (object, required) Type-specific booking data. ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 500 fields